=== debian/control ===
Source: forkexecd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libstdext-ocaml-dev,
 python,
 debhelper (>= 8),
 libuuidm-ocaml-dev,
 librpc-ocaml-dev,
 ocaml-findlib,
 ocaml-native-compilers,
 libfd-send-recv-ocaml-dev,
 libre-ocaml-dev

Package: forkexecd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A subprocess management service
 A service which starts and manages subprocesses, avoiding the need to
 manually fork() and exec() in a multithreaded program.

Package: forkexecd-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 forkexecd (>= 0.9.2-1),
 libfd-send-recv-ocaml-dev,
 librpc-ocaml-dev,
 libstdext-ocaml-dev,
 libuuidm-ocaml-dev,
 libxcp-idl-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for forkexecd
 The forkexecd-devel package contains libraries and signature files
 for developing applications that use forkexecd.
